vim.keymap.set(
	'n'                                            ,
	'<C-' .. require('variables.mapping').up .. '>',
	'<C-w>' .. require('variables.mapping').up      ,
	{
		desc = 'Move to the up window'
	}
)
vim.keymap.set(
	'n'                                              ,
	'<C-' .. require('variables.mapping').down .. '>',
	'<C-w>' .. require('variables.mapping').down      ,
	{
		desc = 'Move to the down window'
	}
)
vim.keymap.set(
	'n'                                              ,
	'<C-' .. require('variables.mapping').left .. '>',
	'<C-w>' .. require('variables.mapping').left      ,
	{
		desc = 'Move to the left window'
	}
)
vim.keymap.set(
	'n'                                               ,
	'<C-' .. require('variables.mapping').right .. '>',
	'<C-w>' .. require('variables.mapping').right      ,
	{
		desc = 'Move to the right window'
	}
)

vim.keymap.set(
	'n'         ,
	'<Leader>jt',
	'<C-]>'     ,
	{
		desc = 'Jump to tag under the cursor'
	}
)
vim.keymap.set(
	'n'         ,
	'<Leader>jt',
	'<C-]>'     ,
	{
		desc = 'Jump to tag under the cursor'
	}
)
